use wasm_bindgen::prelude::*;

#[wasm_bindgen]
pub fn greet() {
    let window = web_sys::window().unwrap();
    let document = window.document().unwrap();
    let canvas = document.get_element_by_id("mycanvas").unwrap();
    let canvas = canvas.dyn_into::<web_sys::HtmlCanvasElement>().unwrap();
    let context = canvas.get_context("2d").unwrap().unwrap();
    let context = context
        .dyn_into::<web_sys::CanvasRenderingContext2d>()
        .unwrap();
    context.set_fill_style(&"green".into());
    context.set_fill_style_str("blue");
    context.fill_rect(10., 10., 50., 50.);
}
